-- Pull in the wezterm API
local wezterm = require 'wezterm'

-- This will hold the configuration.
local config = wezterm.config_builder()

-- This is where you actually apply your config choices
config.ssh_domains = {
  {
    -- This name identifies the domain
    name = 'home',
    -- The hostname or address to connect to. Will be used to match settings
    -- from your ssh config file
    remote_address = '192.168.1.20',
    -- The username to use on the remote host
    username = 'anton',
  },
}


-- For example, changing the color scheme: ==>  A!=B
config.color_scheme = 'OceanicMaterial'
config.font = wezterm.font 'Menligaturized'
config.font_size = 16
config.line_height = 1.15
config.harfbuzz_features = { 'calt=1', 'clig=0', 'liga=0' }
-- and finally, return the configuration to wezterm
return config
